package com.example.mynotepad.MenuFeatures.Pics;

import android.content.Intent;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import com.example.mynotepad.MainActivity;
import com.example.mynotepad.MenuFeatures.Pics.AddTextToPicDialog.AddTextToPicDialog;
import com.example.mynotepad.MenuFeatures.Pics.AddTextToPicDialog.OnSavePicListenerClick;
import com.example.mynotepad.R;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.InputStream;

public class NotedPicsListFragment extends Fragment {

    private String newFilePath;
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        ((PicsActivity) getActivity()).getSupportActionBar().setTitle("Pics List");
        return inflater.inflate(R.layout.fragment_noted_pics, container, false);
    }

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
    }


    @Override
    public void onActivityResult(int requestCode, int resultCode, @Nullable Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        newFilePath = "";
        if (data != null)
            if (requestCode == 1) {
                newFilePath = data.getData().getPath();
            } else if (requestCode == 2) {
                newFilePath = data.getStringExtra("filePath");
            }

        //show dialog to save pic with note
        AddTextToPicDialog addTextToPicDialog = new AddTextToPicDialog();
        addTextToPicDialog.showAddTxtDialog(getActivity(), newFilePath);
        addTextToPicDialog.setOnSavePicListenerClick(new OnSavePicListenerClick() {
            @Override
            public void saveClicked(String editTextTxt) {
                // sent data to activity
                if (!newFilePath.equals("")) {
                    Intent intent = new Intent();
                    intent.putExtra("filePath", newFilePath);
                    intent.putExtra("imageTxt", editTextTxt);
                    //todo txt should be save in database with pic path if file pah is not null and add it to my list
                }
            }
        });

    }
}